Package org.openoffice.da.comp.w2lcommon.filter

# Class ConfigurationDialogBase.CustomFileHandler

java.lang.Object
org.openoffice.da.comp.w2lcommon.filter.ConfigurationDialogBase.PageHandler
org.openoffice.da.comp.w2lcommon.filter.ConfigurationDialogBase.CustomFileHandler

Enclosing class:
  `ConfigurationDialogBase`

protected abstract class ConfigurationDialogBase.CustomFileHandler extends ConfigurationDialogBase.PageHandler

## Constructor Summary

Constructors
Constructor
Description
`CustomFileHandler()`

## Method Summary

Modifier and Type
Method
Description
`protected boolean`
`fileExists(String sFileName)`
`protected void`
`getControls(DialogAccess dlg)`
`protected abstract String`
`getFileName()`
`protected abstract String`
`getSuffix()`
`protected boolean`
`handleEvent(DialogAccess dlg, String sMethod)`
`protected boolean`
`killFile(String sFileName)`
`protected void`
`loadCustomClick(DialogAccess dlg)`
`protected boolean`
`saveFile(String sFileName, String sText)`
`protected void`
`setControls(DialogAccess dlg)`
`protected abstract void`
`useCustomInner(DialogAccess dlg, boolean bUseCustom)`

### Methods inherited from class org.openoffice.da.comp.w2lcommon.filter.ConfigurationDialogBase.PageHandler

`checkBoxFromConfig, checkBoxToConfig, deleteItem, getDialog, listBoxFromConfig, listBoxToConfig, textFieldFromConfig, textFieldToConfig`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CustomFileHandler

public CustomFileHandler()

## Method Details

### getSuffix

protected abstract String getSuffix()

### getFileName

protected abstract String getFileName()

### useCustomInner

protected abstract void useCustomInner(DialogAccess dlg, boolean bUseCustom)

### setControls

protected void setControls(DialogAccess dlg)

Specified by:
  `setControls` in class `ConfigurationDialogBase.PageHandler`

### getControls

protected void getControls(DialogAccess dlg)

Specified by:
  `getControls` in class `ConfigurationDialogBase.PageHandler`

### handleEvent

protected boolean handleEvent(DialogAccess dlg, String sMethod)

Specified by:
  `handleEvent` in class `ConfigurationDialogBase.PageHandler`

### loadCustomClick

protected void loadCustomClick(DialogAccess dlg)

### fileExists

protected boolean fileExists(String sFileName)

### killFile

protected boolean killFile(String sFileName)

### saveFile

protected boolean saveFile(String sFileName, String sText)